DLL.version {utils} | R Documentation

## DLL Version Information

### Description

Return the version of the package and the version of R used to build the DLL, if available.

### Usage

    DLL.version(path)

### Arguments

`path` | character vector of length one giving the complete path to the DLL.

### Value

If the DLL does not exist, `NULL`.

A character vector of length two, giving the DLL version and the version of R used to build the DLL. If the information is not available, the corresponding string is empty.

### Note

This is only available on Windows.

### Examples

    DLL.version(file.path(R.home("bin"), "R.dll"))
    DLL.version(file.path(R.home(), "library/stats/libs", .Platform$r_arch, "stats.dll"))

[Package utils version 3.4.2 Index]